Get the existing conversation or create a new conversation with the specified TikTok creator. To send a message in the conversation, pass the returned data.conversation_id as the conversation_id path parameter of Send IM Message (POST /affiliate_seller/202412/conversations/{conversation_id}/messages).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”object
The creator’s Open ID. Use the Open ID returned by the relevant API, not a user ID, creator ID, or seller ID. More details
- If
true, onlyconversation_idindata.conversationis returned. - If
false, all fields indata.conversationare returned.trueby default.
Example
{ "creator_open_id": "uACafQAAAABmUU2qon4R0vUYvUVS3QC6CICP2m5A2-wd77j8R9G0yg", "only_need_conversation_id": true}Responses
Section titled “Responses”Success
object
Status code; 0 means success.
Success or failure message.
Request log ID.
object
The unique ID of the conversation.
Whether this is a new conversation.
The TikTok creator’s username.
The URL for the TikTok creator’s avatar image file.
Number of messages unread by the shop.
Creators’ IM User ID.
Example
{ "code": 0, "data": { "conversation_id": "1234567890", "is_new": true, "username": "test_creator_name", "avatar": "https://p16-sign-useast2a.tiktokcdn.com/tos-useast2a-avt-0068-giso/2bf6a2485ec8bf93483e4a6ed907e6fd~c5_720x720.webp", "unread_count": 2, "creator_im_id": "12345678" }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}